Skip to main content
Comprehensive domain and email block list management GET retrieves paginated block list with filtering by client assignment and search terms

Overview

Comprehensive domain and email block list management Key Features:
  • Returns blocked entries with: email/domain, source (manual/bounce/spam), creation date, client association

Get Domain Block List

GET /v1/leads/get-domain-block-list

Retrieves entries from your domain block list with pagination. Query Parameters:
  • api_key (required): Your API key
  • offset (optional, default: 0): Pagination offset
  • limit (optional, default: 100, max: 1000): Number of records
curl "https://server.smartlead.ai/api/v1/leads/get-domain-block-list?api_key=YOUR_KEY&offset=0&limit=100"

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key. Check your authentication.
404
Not Found
The requested resource (campaign, lead, email account, etc.) does not exist or you don’t have access to it
422
Validation Error
Request validation failed. Check parameter types, required fields, and value constraints.
429
Rate Limit Exceeded
Too many requests. Please slow down and retry after the rate limit resets.
500
Internal Server Error
Server error occurred. Please try again or contact support if the issue persists.
503
Service Unavailable
API is temporarily unavailable or under maintenance. Please try again later.
[
  {
    "id": 228361167,
    "email_or_domain": "competitor.com",
    "created_at": "2025-11-25T12:38:45.193Z",
    "source": "Smartlead.ai Bounce Detection",
    "client_id": null
  }
]

Add to Block List

POST /v1/leads/add-domain-block-list

Adds domains or email addresses to the global block list. Query Parameters:
  • api_key (required): Your API key
Request Body:
  • domain_block_list (required): Array of domains/emails to block
  • client_id (optional): Associate with specific client
curl -X POST "https://server.smartlead.ai/api/v1/leads/add-domain-block-list?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domain_block_list": ["competitor.com", "spam@example.com"],
    "client_id": null
  }'

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key. Check your authentication.
404
Not Found
The requested resource (campaign, lead, email account, etc.) does not exist or you don’t have access to it
422
Validation Error
Request validation failed. Check parameter types, required fields, and value constraints.
429
Rate Limit Exceeded
Too many requests. Please slow down and retry after the rate limit resets.
500
Internal Server Error
Server error occurred. Please try again or contact support if the issue persists.
503
Service Unavailable
API is temporarily unavailable or under maintenance. Please try again later.
{
  "success": true,
  "message": "3 entries added to block list"
}

Delete from Block List

DELETE /v1/leads/delete-domain-block-list/:block_list_id

Removes an entry from the block list. Path Parameters:
  • block_list_id (required): ID of the block list entry to delete
Query Parameters:
  • api_key (required): Your API key
curl -X DELETE "https://server.smartlead.ai/api/v1/leads/delete-domain-block-list/123?api_key=YOUR_KEY"

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key. Check your authentication.
404
Not Found
The requested resource (campaign, lead, email account, etc.) does not exist or you don’t have access to it
422
Validation Error
Request validation failed. Check parameter types, required fields, and value constraints.
429
Rate Limit Exceeded
Too many requests. Please slow down and retry after the rate limit resets.
500
Internal Server Error
Server error occurred. Please try again or contact support if the issue persists.
503
Service Unavailable
API is temporarily unavailable or under maintenance. Please try again later.
{
  "success": true,
  "message": "Entry deleted successfully"
}